dbXML API

## org.dbxml.core.corba.db
Class APIException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.dbxml.core.corba.db.APIException

All Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity, java.io.Serializable

public final class APIException
extends org.omg.CORBA.UserException

Generated from IDL definition of exception "APIException"

Author:
  JacORB IDL compiler
See Also:
  Serialized Form

Field Summary
`java.lang.String` `exceptionMessage`
`int` `faultCode`
`java.lang.String` `faultMessage`

Constructor Summary
`APIException()`
`APIException(int faultCode, java.lang.String faultMessage, java.lang.String exceptionMessage)`
`APIException(java.lang.String _reason, int faultCode, java.lang.String faultMessage, java.lang.String exceptionMessage)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### faultCode

    public int faultCode

### faultMessage

    public java.lang.String faultMessage

### exceptionMessage

    public java.lang.String exceptionMessage

Constructor Detail

### APIException

    public APIException()

### APIException

    public APIException(java.lang.String _reason,
                        int faultCode,
                        java.lang.String faultMessage,
                        java.lang.String exceptionMessage)

### APIException

    public APIException(int faultCode,
                        java.lang.String faultMessage,
                        java.lang.String exceptionMessage)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved